# Interface ISectionPropertiesOptions

#### Hierarchy

- ISectionPropertiesOptions

- Defined in src/file/document/body/section-properties/section-properties.ts:27

#####
Index

### Properties

column
footerWrapperGroup
grid
headerWrapperGroup
lineNumbers
page
titlePage
type
verticalAlign

## Properties

### `Optional` `Readonly` column

column?: IColumnsAttributes

- Defined in src/file/document/body/section-properties/section-properties.ts:41

### `Optional` `Readonly` footerWrapperGroup

footerWrapperGroup?: IHeaderFooterGroup<FooterWrapper>

- Defined in src/file/document/body/section-properties/section-properties.ts:37

### `Optional` `Readonly` grid

grid?: IDocGridAttributesProperties

- Defined in src/file/document/body/section-properties/section-properties.ts:35

### `Optional` `Readonly` headerWrapperGroup

headerWrapperGroup?: IHeaderFooterGroup<HeaderWrapper>

- Defined in src/file/document/body/section-properties/section-properties.ts:36

### `Optional` `Readonly` lineNumbers

lineNumbers?: ILineNumberAttributes

- Defined in src/file/document/body/section-properties/section-properties.ts:38

### `Optional` `Readonly` page

page?: { borders?: IPageBordersOptions; margin?: IPageMarginAttributes; pageNumbers?: IPageNumberTypeAttributes; size?: IPageSizeAttributes; textDirection?: PageTextDirectionType }

#### Type declaration

- ##### `Optional` `Readonly` borders?: IPageBordersOptions

- ##### `Optional` `Readonly` margin?: IPageMarginAttributes

- ##### `Optional` `Readonly` pageNumbers?: IPageNumberTypeAttributes

- ##### `Optional` `Readonly` size?: IPageSizeAttributes

- ##### `Optional` `Readonly` textDirection?: PageTextDirectionType

- Defined in src/file/document/body/section-properties/section-properties.ts:28

### `Optional` `Readonly` titlePage

titlePage?: boolean

- Defined in src/file/document/body/section-properties/section-properties.ts:39

### `Optional` `Readonly` type

type?: SectionType

- Defined in src/file/document/body/section-properties/section-properties.ts:42

### `Optional` `Readonly` verticalAlign

verticalAlign?: VerticalAlign

- Defined in src/file/document/body/section-properties/section-properties.ts:40

Generated using TypeDoc